# Get an asset revision

Launch stage: Beta

`GET /api/2.0/clean-rooms/{clean_room_name}/assets/{asset_type}/{name}/revisions/{etag}`

Get a specific revision of an asset

API scopes: cleanrooms

## Path parameters

- `clean_room_name` (string, required)
  Name of the clean room.
- `asset_type` (string, required)
  Asset type. Only NOTEBOOK_FILE is supported.
  Possible values:
  - `ASSET_TYPE_UNSPECIFIED`
  - `TABLE`
  - `NOTEBOOK_FILE`
  - `VOLUME`
  - `VIEW`
  - `FOREIGN_TABLE`
  - `JAR_ANALYSIS`
- `name` (string, required)
  Name of the asset.
- `etag` (string, required)
  Revision etag to fetch. If not provided, the latest revision will be returned.

## Returns

Returns the CleanRoomAsset object.

## Response

```json
{
  "clean_room_name": "test-clean-room1",
  "name": "creator.sales.products",
  "asset_type": "TABLE",
  "added_at": 1716424663321,
  "status": "ACTIVE",
  "owner_collaborator_alias": "creator",
  "table_local_details": {
    "local_name": "demo.sales.products",
    "partitions": [
      {}
    ]
  },
  "volume_local_details": {
    "local_name": "demo.sales.products"
  },
  "view_local_details": {
    "local_name": "demo.sales.products"
  },
  "foreign_table_local_details": {
    "local_name": "demo.sales.products"
  },
  "table": {
    "columns": [
      {}
    ]
  },
  "notebook": {
    "notebook_content": "string",
    "etag": "string",
    "runner_collaborator_aliases": [
      "string"
    ],
    "reviews": [
      {}
    ],
    "review_state": "APPROVED",
    "description": "This is a description of the Clean Room Notebook",
    "environment_version": "string"
  },
  "view": {
    "columns": [
      {}
    ]
  },
  "foreign_table": {
    "columns": [
      {}
    ]
  },
  "jar_analysis": {
    "etag": "string",
    "description": "This is a description of the Clean Room JAR",
    "runner_collaborator_aliases": [
      "string"
    ],
    "reviews": [
      {}
    ],
    "review_state": "APPROVED",
    "main_class_name": "com.databricks.ComputeModels",
    "central_jar_file_paths": [
      "string"
    ],
    "environment_version": "string"
  }
}
```

